python安装requests支持库所有问题大全


序言00X00

QQ截图20190731131710.jpg

2.jpg

如图,我们有时候需要用到python脚本时,运行后发现报错,ModuleNotFoundError: No module named 'requests'
很多初学者就看不懂这个是个什么,代码我下载正常啊,别人用评论也没有说报错为什么我用的时候就报错了呢?
其实是我们的python支持库中没有安装requests,所以自然没办法成功运行!在这我将手把手教你怎么安装requests。

00X01

win+r键打开运行窗口,输入cmd,进入命令控制行,输入以下代码:

pip install requests

1.jpg

出现这个页面就算安装成功,你再运行需要requests就不会出错了。

00X02

这个方法是用于cmd中输入pip install requests提示'pip' 不是内部或外部命令,也不是可运行的程序
或批处理文件。
3.jpg

首先进入到pip所在的文件夹,复制路径
4.jpg

5.jpg

再次执行pip,成功!

6.jpg

00X03

此方法用于以上办法不行的情况下
将PIP添加到环境变量中
右键,我的电脑 ,选择属性
高级--环境变量
8.jpg
打开Path进行编辑,在末尾追加:pip所在的目录路径
9.jpg

QQ截图20190731140144.jpg

7.jpg

00X04

pip错误-failed to create process/fatal error in launcher

如果以上按步骤设置好后,还出现上面这个提示,一般是因为你电脑安装了双python环境:

将python3的python.exe改成python3.exe,python2的python.exe不改(主要用python2时则可改python3的exe)

各自输入python|python3时,进入对应的Python版本中的话,代表正确无误。

我们输入pip3会报错: failed to create process
就是上面那段报错提示

可改成 python2 -m pip 就ok了,后面就可以接pip的各种命令

用pip2安装包时:

python2 -m pip install pack_name
python2 -m pip install numpy pandas 

运行脚本时:

#!python2 #要写在文件编码声明前
# -*-coding:utf-8 -*-

由于某种原因,下载了python3.6又卸载后,再重新下python3.5 

按照上面重新改好python2,python3后,输入pip,pip2,pip3,都会报错

pip报错:fatal error in launcher:unable to create using process时

python2 -m pip install --upgrade pip
python -m pip install --upgrade pip

解决,pip,pip2,pip3都不报错了。

声明:苏茗鹿的空间|版权所有,违者必究|如未注明,均为原创|本网站采用BY-NC-SA协议进行授权

转载:转载请注明原文链接


Carpe Diem and Do what I like